POST api/printertypeapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
PrinterTypeViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
None. |
|
| active | boolean |
Required |
|
| description | string |
Required |
|
| type | string |
Required String length: inclusive between 0 and 100 |
Request Formats
application/json, text/json
Sample:
{
"id": "d5b5856b-7c46-40f4-ba19-b076a926f5fe",
"active": true,
"description": "sample string 3",
"type": "sample string 4"
}
application/xml, text/xml
Sample:
<printer_type xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <description>sample string 3</description> <id>d5b5856b-7c46-40f4-ba19-b076a926f5fe</id> <type>sample string 4</type> </printer_type>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"c77bed8a-0ae0-4ac8-9c6c-71f721dfb5b0"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">c77bed8a-0ae0-4ac8-9c6c-71f721dfb5b0</guid>